Bug 164905 - www/seamonkey fails to build with clang [patch]
www/seamonkey fails to build with clang [patch]
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: gecko
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-08 12:10 UTC by c.kworr
Modified: 2012-07-27 14:28 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description c.kworr 2012-02-08 12:10:10 UTC
Doesn't build with clang:

clang++ -o gfxTextRunCache.o -c -I../../dist/stl_wrappers -I../../dist/system_wrappers -include ../../config/gcc_hidden.h -DIMPL
_THEBES -DWOFF_MOZILLA_CLIENT -DMOZILLA_INTERNAL_API -D_IMPL_NS_COM -DEXPORT_XPT_API -DEXPORT_XPTC_API -D_IMPL_NS_GFX -D_IMPL_NS
_WIDGET -DIMPL_XREAPI -DIMPL_NS_NET -DIMPL_THEBES -DSTATIC_EXPORTABLE_JS_API -DMOZ_SUITE=1 -DOSTYPE=\"FreeBSD9\" -DOSARCH=FreeBS
D -DEXCLUDE_SKIA_DEPENDENCIES -DOS_LINUX=1 -DOS_POSIX=1 -I../../ipc/chromium/src -I../../ipc/glue -I../../ipc/ipdl/_ipdlheaders 
 -I. -I. -I../../dist/include -I../../dist/include/nsprpub  -I/usr/local/include/nspr -I/tmp/ports/.amd_mnt/faz/host/usr/ports/w
ww/seamonkey/work/comm-release/mozilla/dist/include/nss      -fPIC -I/usr/local/include/cairo -I/usr/local/include -fno-rtti -Wa
ll -Wpointer-arith -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wno-invalid-offsetof -Wno-variadic
-macros -Werror=return-type -O2 -pipe -march=native -O2 -fno-strict-aliasing -fno-exceptions -fno-strict-aliasing -fshort-wchar 
-ffunction-sections -fdata-sections -pipe -DNDEBUG -DTRIMMED -O2 -fomit-frame-pointer -D_THREAD_SAFE -D_REENTRANT -I/usr/local/i
nclude/cairo -I/usr/local/include/glib-2.0 -I/usr/local/include/pixman-1 -I/usr/local/include -I/usr/local/include/freetype2 -I/
usr/local/include/libpng -I/usr/local/include/drm   -D_THREAD_SAFE -D_REENTRANT -I/usr/local/include/cairo -I/usr/local/include 
-I/usr/local/include/glib-2.0 -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng -I/usr/lo
cal/include/drm   -D_THREAD_SAFE -D_REENTRANT -I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include -I/usr/local/include
/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-
unix-2.0/ -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr
/local/include/libpng -I/usr/local/include/drm -I/usr/local/include/gtk-unix-print-2.0   -D_REENTRANT -D_THREAD_SAFE -I/usr/loca
l/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/include/freetype2 -I/usr/local/include -I/usr/local/include/cairo
 -I/usr/local/include/pixman-1 -I/usr/local/include/libpng -I/usr/local/include/drm    -I/usr/local/include/cairo     -I/usr/loc
al/include -DMOZILLA_CLIENT -include ../../mozilla-config.h /tmp/ports/.amd_mnt/faz/host/usr/ports/www/seamonkey/work/comm-relea
se/mozilla/gfx/thebes/gfxTextRunCache.cpp
/tmp/ports/.amd_mnt/faz/host/usr/ports/www/seamonkey/work/comm-release/mozilla/gfx/thebes/gfxTeeSurface.cpp:67:1: error: 
      control reaches end of non-void function [-Werror,-Wreturn-type]
}
^
1 error generated.

Fix: 

http://git.overlays.gentoo.org/gitweb/?p=user/sardemff7.git;a=commitdiff_plain;h=d3d99897dfff709c6b082357500e733652b6b8a1

 const gfxIntSize
 gfxTeeSurface::GetSize() const
 {
 #ifdef MOZ_TREE_CAIRO
     nsRefPtr<gfxASurface> master = Wrap(cairo_tee_surface_index(mSurface, 0));
     return master->GetSize();
+#else                                                                           
+    gfxIntSize a;                                                               
+    return a; 
 #endif
 }

Maybe this should be pushed upstream?
Comment 1 Edwin Groothuis freebsd_committer 2012-02-08 12:10:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gecko

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 c.kworr 2012-07-04 14:59:49 UTC
I think this one can be closed, current version builds fine.

-- 
Sphinx of black quartz judge my vow.
Comment 3 Florian Smeets freebsd_committer 2012-07-27 14:28:10 UTC
State Changed
From-To: open->closed

Close per submitters request. Should be fine with the latest version.